if (pkg.$vers.length >= 3) {
    pkg.$vers.push(Packages.xdc.services.global.Vers.getDate(xdc.csd() + '/..'));
}

pkg.build.libraries = [
    'lib/isqrt_unroll.a64P',
    'lib/isqrt_loop.a86GW',
    'lib/isqrt_loop.a64P',
    'lib/isqrt_unroll.a86GW',
];

pkg.build.libDesc = [
    [
        'lib/isqrt_unroll.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/isqrt_loop.a86GW',
        {
            target: 'gnu.targets.Mingw'
        }
    ],
    [
        'lib/isqrt_loop.a64P',
        {
            target: 'ti.targets.C64P'
        }
    ],
    [
        'lib/isqrt_unroll.a86GW',
        {
            target: 'gnu.targets.Mingw'
        }
    ],
];
if ('suffix' in xdc.om['xdc.IPackage$$LibDesc']) {
    pkg.build.libDesc['lib/isqrt_unroll.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/isqrt_loop.a86GW'].suffix = '86GW';
    pkg.build.libDesc['lib/isqrt_loop.a64P'].suffix = '64P';
    pkg.build.libDesc['lib/isqrt_unroll.a86GW'].suffix = '86GW';
}

